# ------------------------------------------------------------------------
# NAME: QueryEventLogForTimeErrorsV2.ps1
# AUTHOR: ed wilson, Microsoft
# DATE: August 22,2008
#
# KEYWORDS: Get-EventLog, DateTime 
#
# COMMENTS: This queries the event log on a local
# machine and filters out the entries received today 
# realted to time. This script uses the new -source
# parameter which causes it to require version 2.0
# of powershell.
# ------------------------------------------------------------------------
#requires -version 2.0
Get-EventLog -LogName system -source w32time| 
Where-Object { $_.timegenerated -ge [datetime]::today } |
Format-Table -Property TimeGenerated, entrytype, message -AutoSize -Wrap