# ==============================================================================================
# NAME: QueryComputersNetADO.ps1
# 
# AUTHOR: ed wilson , Microsoft 
# DATE  : 9/17/2008
# 
# COMMENT: Queries AD using ado.net
# uses ado.net from .NET framework to query AD
# . using the dot net framework
# just as in classic ado we need to use the Jet oledb provider
# and specify extended properties for excel.
# we then need to create an instance of the 
# System.Data.OleDb.OleDbConnection and 
# System.Data.OleDb.OleDbCommand classes. 
# We then use the ExecuteReader method to return a DataReader
# object. This object is an instance of the System.Data.OleDb.OleDbDataReader class.
# The first thing we need to do with the DataReader is to use
# the read method. We use while to loop through the DataReader.
# 
#
# -------------------------------------------------------------------------------------------

Function SetConnectionString()
{
 $strBase = "<LDAP://dc=nwtraders,dc=com>"
 $strFilter = "(objectCategory=computer)"
 $strAttributes = "name"
 $strScope = "subtree"
 $strQuery = "$strBase;$strFilter;$strAttributes;$strScope"
 $strProvider = "Provider=ADsDSOObject"
 NewAdoConnection
} #end SetConnectionString

Function NewAdoConnection()
{
 $Script:objConn = New-Object System.Data.OleDb.OleDbConnection("$strProvider")
 $sqlCommand = New-Object System.Data.OleDb.OleDbCommand($strQuery)
 $sqlCommand.Connection = $objConn
 $Script:objConn.open()
 $Script:DataReader = $sqlCommand.ExecuteReader()
} #end NewAdoConnection

Function ReadData()
{
 While($Script:DataReader.read())
 {
  $Script:DataReader[0].ToString() 
 } #end while
} #end ReadData

Function CloseAdoConnection()
{  
 $Script:dataReader.close()
 $Script:objConn.close()
}

# *** Entry Point ***

SetConnectionString
ReadData
CloseAdoConnection
